# Leads Domain conversations and messaging between buyers and sellers (requires authentication) ## List domain conversation leads - [POST /mcp/v1/actions/ud_leads_list](https://docs.unstoppabledomains.com/apis/mcp/openapi/leads/leadslist.md): List conversations about domains you own or are interested in. Includes buyer-seller messaging threads. ## Get or create domain conversation - [POST /mcp/v1/actions/ud_lead_get](https://docs.unstoppabledomains.com/apis/mcp/openapi/leads/leadget.md): Start or find an existing conversation with the seller of a domain. Returns existing conversation if one already exists. ## List messages in a conversation - [POST /mcp/v1/actions/ud_lead_messages_list](https://docs.unstoppabledomains.com/apis/mcp/openapi/leads/leadmessageslist.md): Get messages in a domain conversation. Messages are returned newest-first with cursor-based pagination. ## Send a message in a conversation - [POST /mcp/v1/actions/ud_lead_message_send](https://docs.unstoppabledomains.com/apis/mcp/openapi/leads/leadmessagesend.md): Send a message in a domain conversation. Messages are encrypted at rest.